<?php
// 今日の日付けを以下の形式で表示してください。

// Q1.xxxx-xx-xx (年-月-日)

// Q2.xxxx/xx/xx Mon (年/月/日　曜日を英語表記)

// Q3.xxxx年xx月xx日（x曜日）
<?php
// Q1. xxxx-xx-xx (年-月-日)
echo "Q1. " . date("Y-m-d") . "\n";

// Q2. xxxx/xx/xx Mon (年/月/日 曜日を英語表記)
echo "Q2. " . date("Y/m/d D") . "\n";

// Q3. xxxx年xx月xx日（x曜日）
// 日本語の曜日を取得する関数
function getJapaneseDayOfWeek($date) {
    $days = ['日', '月', '火', '水', '木', '金', '土'];
    return $days[date('w', strtotime($date))];
}
echo "Q3. " . date("Y年m月d日") . "（" . getJapaneseDayOfWeek(date("Y-m-d")) . "曜日）";
?>
